View Issue Details

IDProjectCategoryView StatusLast Update
0025524mantisbtplug-inspublic2019-03-16 20:20
ReporterdregadAssigned Todregad 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version2.20.0Fixed in Version2.20.0 
Summary0025524: MantisGraph: improve display of By Category Bar chart
Description

With a large number of categories, the chart is not easily readable. To improve that we could

  • use a horizontal instead of vertical bar chart (avoids difficult to read diagonal labels)
  • sort the values in descending order (so the more frequently used categories are shown at the top)
  • increase canvas size / ratio if there are many entries in the data set
TagsNo tags attached.

Relationships

related to 0025523 closeddregad MantisGraph: improve handling of colors in Pie charts 
related to 0025522 closeddregad MantisGraph: limit number of slices in By Category pie chart 

Activities

Related Changesets

MantisBT: master d87cb82d

2019-02-25 10:37:27

dregad

Details Diff
Graphs: allow horizontal bar charts

Issue 0025524
Affected Issues
0025524
mod - plugins/MantisGraph/core/graph_api.php Diff File
mod - plugins/MantisGraph/files/MantisGraph.js Diff File

MantisBT: master ca5f7e4c

2019-02-25 11:26:41

dregad

Details Diff
Use horizontal bar chart for Categories graph

Fixes 0025524
Affected Issues
0025524
mod - plugins/MantisGraph/pages/category_graph.php Diff File

MantisBT: master 3b1cd68d

2019-02-25 11:29:04

dregad

Details Diff
Set graph width factor based on number of categories

The ratio is calculated to be 1 when there are < 25 categories, and
increases linearly until a minimum factor of 0.25 is reached with 100
categories.

Fixes 0025524
Affected Issues
0025524
mod - plugins/MantisGraph/pages/category_graph.php Diff File

MantisBT: master b7d7eca7

2019-02-25 11:31:27

dregad

Details Diff
Sort Categories by issues count descending

Fixes 0025524
Affected Issues
0025524
mod - plugins/MantisGraph/pages/category_graph.php Diff File

MantisBT: master 39358ff9

2019-03-02 18:16:50

dregad

Details Diff
MantisGraph: horizontal bar chart's X-axis at top

Makes it easier to read charts with many categories, without having to
scroll down to see the scale.

Fixes 0025524
Affected Issues
0025524
mod - plugins/MantisGraph/files/MantisGraph.js Diff File

Issue History

Date Modified Username Field Change
2019-02-26 12:05 dregad New Issue
2019-02-27 06:18 dregad Assigned To => dregad
2019-02-27 06:18 dregad Status new => assigned
2019-02-27 06:32 dregad Relationship added related to 0025522
2019-02-27 06:33 dregad Relationship added related to 0025523
2019-02-27 07:28 dregad Note Added: 0061588
2019-03-02 17:56 dregad Changeset attached => MantisBT master d87cb82d
2019-03-02 17:56 dregad Changeset attached => MantisBT master ca5f7e4c
2019-03-02 17:56 dregad Changeset attached => MantisBT master 3b1cd68d
2019-03-02 17:56 dregad Changeset attached => MantisBT master b7d7eca7
2019-03-02 17:56 dregad Status assigned => resolved
2019-03-02 17:56 dregad Resolution open => fixed
2019-03-02 17:56 dregad Fixed in Version => 2.20.0
2019-03-02 18:19 dregad Changeset attached => MantisBT master 39358ff9
2019-03-16 20:20 vboctor Status resolved => closed